try{
  var marqueesHeightD = 145;
  var stopscrollD     = false;

  var scrollElemD = document.getElementById("icefable");
  with(scrollElemD){
    style.width     = '100%';
    style.height    = marqueesHeightD;
    style.overflow  = 'hidden';
    noWrap          = true;
  }

  scrollElemD.onmouseover = new Function('stopscrollD = true');
  scrollElemD.onmouseout  = new Function('stopscrollD = false');

  var preTopD     = 0; 
  var currentTopD = 0; 
  var stoptimeD   = 0;
         
  init_srolltextD();

}catch(e) {}

function init_srolltextD(){
  icefable2DD.innerHTML="";
  icefable2DD.innerHTML+=scrollElemD.innerHTML;    
  scrollElemD.innerHTML=icefable2DD.innerHTML+icefable2DD.innerHTML;
  scrollElemD.scrollTop = 0;
  setInterval('scrollUpD()', 51);
}

function scrollUpD(){
  if(stopscrollD) return;
  currentTopD += 3;
  if(currentTopD == 150) {
    stoptimeD += 3;
    currentTopD -= 3;
    if(stoptimeD == 51) {
      currentTopD = 0;
      stoptimeD = 0;
    }
  }else{
    preTopD = scrollElemD.scrollTop;
    scrollElemD.scrollTop += 3;
    if(preTopD == scrollElemD.scrollTop){
	scrollElemD.scrollTop = icefable2DD.offsetHeight-marqueesHeightD;
      scrollElemD.scrollTop = 0;
	  scrollElemD.scrollTop += 3;
    }
  }
}